<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

if (!isset($user) || $user['level']==0)$no_adm=" `adm` = '0' AND";else $no_adm=NULL;



if (isset($_GET['id_forum']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f` WHERE$no_adm `id` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_razdel']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_them']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_post']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id` = '".intval($_GET['id_post'])."' AND `id_them` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1
)
{
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$razdel=mysql_fetch_array(mysql_query("SELECT * FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$them=mysql_fetch_array(mysql_query("SELECT * FROM `forum_t` WHERE `id` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$post=mysql_fetch_array(mysql_query("SELECT * FROM `forum_p` WHERE `id` = '".intval($_GET['id_post'])."' AND `id_them` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$post2=mysql_fetch_array(mysql_query("SELECT * FROM `forum_p` WHERE `id_them` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' ORDER BY `id` DESC LIMIT 1"));
if (isset($user)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
if (isset($_GET['act']) && $_GET['act']=='edit' && isset($_POST['msg']) && isset($_POST['post']) && (isset($user) && ($user['level']>$ank['level'] || $user['level']==4 || ($ank['id']==$user['id'] || $user['level']>0)) || $post['id']==$post2['id'] && $post['id_user']==$user['id'] && $post['time']>time()-600)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)<2)$err='Короткое сообщение';
if (strlen2($msg)>1024)$err='Длина сообщения превышает предел в 1024 символа';
$msg=mysql_real_escape_string($msg);

if (!isset($err))
{

mysql_query("UPDATE `forum_p` SET `msg` = '$msg' WHERE `id` = '$post[id]' LIMIT 1");
}

}
elseif (isset($_GET['act']) && $_GET['act']=='edit' && (isset($user) && ($user['level']>$ank['level'] || $user['level']==4 || ($ank['id']==$user['id'] && $user['level']>0)) || $post['id']==$post2['id'] && $post['id_user']==$user['id'] && $post['time']>time()-600)){

$set['title']='Форум - редактирование поста'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();


echo "<form method='post' action='/forum/$forum[id]/$razdel[id]/$them[id]/$post[id]/edit'>\n";
echo "Сообщение:<br />\n<textarea name=\"msg\">".esc(trim(stripcslashes(htmlspecialchars($post['msg']))))."</textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input name='post' value='Изменить' type='submit' /><br />\n";
echo "</form>\n";
echo "&raquo;<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/$post[id]/delete\" title='Удалить пост'>Удалить пост</a><br />\n";
echo "<div class=\"menu\">\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/?page=end\" title='Вернуться в тему'>В тему</a><br />\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/\" title='В раздел'>$razdel[name]</a><br />\n";
echo "<a href=\"/forum/$forum[id]/\" title='В подфорум'>$forum[name]</a><br />\n";





echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}
elseif (isset($_GET['act']) && $_GET['act']=='delete' && isset($user) && $them['close']==0 && ($user['level']>0 || $post['id']==$post2['id'] && $post['id_user']==$user['id'] && $post['time']>time()-600)){
mysql_query("DELETE FROM `forum_p` WHERE `id` = '".intval($_GET['id_post'])."' AND `id_them` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1");
}
elseif (isset($_GET['act']) && $_GET['act']=='msg' && $them['close']==0 && isset($access['for_p_cr'])){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$set['title']='Форум - '.$them['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();


echo "<form method='post' name='message' action='/forum/$forum[id]/$razdel[id]/$them[id]/new'>\n";
echo "<a href='/info.php?id=$ank[id]'>Посмотреть анкету</a><br />\n";
$msg2=$ank['nick'].', ';
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<a href=\"/smiles.php\">Смайлы</a><br />\n<textarea name=\"msg\">$ank[nick], </textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input name='post' value='Отправить сообщение' type='submit' /><br />\n";
echo "</form>\n";
echo "<div class=\"menu\">\n";

echo "</div>\n";

echo "<div class=\"menu\">\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/?page=end\" title='Вернуться в тему'>В тему</a><br />\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/\" title='В раздел'>$razdel[name]</a><br />\n";
echo "<a href=\"/forum/$forum[id]/\" title='В подфорум'>$forum[name]</a><br />\n";


echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}
elseif (isset($_GET['act']) && $_GET['act']=='cit' && $them['close']==0 && isset($access['for_p_cr'])){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$set['title']='Форум - '.$them['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
echo "Будет процетировано сообщение:<br />\n";

echo "<div class='cit'>\n";

echo esc(trim(br(bbcode(links(stripcslashes(htmlspecialchars($post['msg'])))))))."<br />\n";
echo "</div>\n";
echo "<form method='post' name='message' action='/forum/$forum[id]/$razdel[id]/$them[id]/new'>\n";
echo "<input name='cit' value='$post[id]' type='hidden' />";
$msg2=$ank['nick'].', ';
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<br />\n<textarea name=\"msg\">$ank[nick], </textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input name='post' value='Отправить сообщение' type='submit' /><br />\n";
echo "</form>\n";


echo "<div class=\"menu\">\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/?page=end\" title='Вернуться в тему'>В тему</a><br />\n";
echo "<a href=\"/forum/$forum[id]/$razdel[id]/\" title='В раздел'>$razdel[name]</a><br />\n";
echo "<a href=\"/forum/$forum[id]/\" title='В подфорум'>$forum[name]</a><br />\n";

echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}

}


}







if (isset($_GET['id_forum']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f` WHERE$no_adm `id` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_razdel']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_them']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1 )
{
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$razdel=mysql_fetch_array(mysql_query("SELECT * FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$them=mysql_fetch_array(mysql_query("SELECT * FROM `forum_t` WHERE `id` = '".intval($_GET['id_them'])."' AND `id_razdel` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$set['title']='Форум - '.$them['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
$ank2=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $them[id_user] LIMIT 1"));
if (isset($user) && ($ank2['level']<$user['level'] || $user['level']==4 || $ank2['id']==$user['id']))include 'inc/set_them_act.php';

include 'inc/them.php';

if (isset($user) && ($ank2['level']<$user['level'] || $user['level']==4 || $ank2['id']==$user['id']))include 'inc/set_them_form.php';

echo "<div class=\"menu\">\n";



if (isset($user))
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_zakl` WHERE `id_them` = '$them[id]' AND `id_user` = '$user[id]'"),0)==0)
echo "&raquo;<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/?page=$page&amp;zakl=1\" title='Добавить в закладки'>В закладки</a><br />\n";
else
{
mysql_query("UPDATE `forum_zakl` SET `time` = '".time()."' WHERE `id_them` = '$them[id]' AND `id_user` = '$user[id]'");
echo "<a href=\"/forum/$forum[id]/$razdel[id]/$them[id]/?page=$page&amp;zakl=0\" title='Удалить из закладок'>Удалить из закладок</a><br />\n";
}
}
echo "<a href=\"/forum/$forum[id]/$razdel[id]/\" title='В раздел'>$razdel[name]</a><br />\n";
echo "<a href=\"/forum/$forum[id]/\" title='В подфорум'>$forum[name]</a><br />\n";


echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}

if (isset($_GET['id_forum']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f` WHERE$no_adm `id` = '".intval($_GET['id_forum'])."'"),0)==1
&& isset($_GET['id_razdel']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."'"),0)==1)
{
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '".intval($_GET['id_forum'])."' LIMIT 1"));
$razdel=mysql_fetch_array(mysql_query("SELECT * FROM `forum_r` WHERE `id` = '".intval($_GET['id_razdel'])."' AND `id_forum` = '".intval($_GET['id_forum'])."' LIMIT 1"));

if (isset($user) && isset($access['for_t_cr']) && isset($_GET['act']) && $_GET['act']=='new' && (!isset($_SESSION['time_c_t_forum']) || $_SESSION['time_c_t_forum']<$time-600 || $user['level']>0))
include 'inc/new_t.php';
else
{
$set['title']='Форум - '.$razdel['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

if (isset($user) && $user['level']>2)include 'inc/set_razdel_act.php';

include 'inc/razdel.php';

if (isset($user) && $user['level']>2)include 'inc/set_razdel_form.php';

echo "<div class=\"menu\">\n";
if (isset($access['for_t_cr']) && (!isset($_SESSION['time_c_t_forum']) || $_SESSION['time_c_t_forum']<$time-600 || $user['level']>0))
echo "<img src='http://vrozetke.ru/style/themes/green/graph/add.png' alt='ico' /><a href=\"/forum/$forum[id]/$razdel[id]/?act=new\" title='Создать новую тему'> Новая тема</a><br />\n";
echo "<a href=\"/forum/$forum[id]/\">$forum[name]</a><br />\n";
echo "</div>\n";

}


include_once '../sys/inc/tfoot.php';
}

if (isset($_GET['id_forum']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f` WHERE$no_adm `id` = '".intval($_GET['id_forum'])."'"),0)==1)
{
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '".intval($_GET['id_forum'])."' LIMIT 1"));

$set['title']='Форум - '.$forum['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

if (isset($user) && $user['level']>2)include 'inc/set_forum_act.php';

include 'inc/forum.php';

if (isset($user) && $user['level']>2)include 'inc/set_forum_form.php';



include_once '../sys/inc/tfoot.php';
}


$set['title']='Форум'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();


if (isset($user) && $user['level']==4 && isset($access['for_f_cr']) && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='new' && isset($_POST['name']) && isset($_POST['opis']) && isset($_POST['pos']))
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);
//if (ereg("\{|\}|\^|\%|\\$|#|@|!|\~|'|\"|`|<|>",$name))$err='В названии форума присутствуют запрещенные символы';
if (strlen2($name)<3)$err='Слишком короткое название';
if (strlen2($name)>32)$err='Слишком днинное название';
$name=mysql_real_escape_string($name);


$opis=$_POST['opis'];
if (isset($_POST['translit2']) && $_POST['translit2']==1)$opis=translit($opis);
//if (strlen2($opis)<10)$err='Короткое описание';
if (strlen2($opis)>512)$err='Слишком длинное описание';
$opis=mysql_real_escape_string($opis);

$pos=intval($_POST['pos']);
if (!isset($err)){
mysql_query("INSERT INTO `forum_f` (`opis`, `name`, `pos`) values('$opis', '$name', '$pos')");
msg('Подфорум успешно создан');
}
}



err();
aut(); // форма авторизации
if (isset($user) & $user['rating']<=10)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы писать в форуме нужно иметь хотябы <b>10</b> рейтинга<br/>У вас <b>$user[rating]</b> рейтинга\n<br />Сейчас вы можете общаться в <a href='/love/'><font color='#FF0000'>Знакомствах</font></a> или в <a href='/chat/'><font color='#FF0000'>Чате</font></a>\n";
}
else
{
if (isset($user))
{


echo "<div class=\"page_foot\">\n";

echo "<img src='http://vrozetke.ru/style/themes/green/graph/star.png' alt=''/>\n";
echo "<a href='/forum/new_p.php'>Новые сообщения</a>/\n";
echo "<a href='/forum/new_t.php'>Новые темы</a><br />\n";
echo "<img src='http://vrozetke.ru/style/themes/green/graph/star.png' alt=''/>\n";
echo "<a href='/forum/my_p.php'>Мои сообщения</a>/\n";
echo "<a href='/forum/my_t.php'>Мои темы</a><br />\n";
echo "</div>\n";
echo "<div class=\"foot\">\n";
echo "<img src='http://vrozetke.ru/style/themes/green/graph/search.png' alt=''/>\n";
echo "<a href='/forum/search.php'>Поиск</a><br />\n";
echo "</div>\n";

if (!isset($user) || $user['level']==0)$no_adm=" WHERE `adm` = '0'";else $no_adm=NULL;


$q=mysql_query("SELECT * FROM `forum_f`$no_adm ORDER BY `pos` ASC");
if (mysql_num_rows($q)==0) {
echo "Нет подфорумов\n";
}
while ($forum = mysql_fetch_array($q))
{

if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}
echo "<img src='http://vrozetke.ru/style/themes/green/graph/folder.png' alt='' /> ";
echo "<a href='/forum/$forum[id]/'>$forum[name]</a> <span class='ank_n'>(".mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_r` WHERE `id_forum` = '$forum[id]'"),0).")</span><br />\n";
if ($forum['opis']!=NULL)echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($forum['opis']))))))))."\n";
echo "</div>";



}
if (isset($user) && $user['level']==4 && isset($access['for_f_cr']) && (isset($_GET['act']) && $_GET['act']=='new' || mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f`"),0)==0))
{
echo "<form method=\"post\" action=\"/forum/index.php?act=new&amp;ok\">\n";
echo "Название подфорума:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit1\" value=\"1\" /> Транслит</label><br />\n";
echo "Описание:<br />\n";
echo "<textarea name=\"opis\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit2\" value=\"1\" /> Транслит</label><br />\n";
echo "Позиция:<br />\n";
$pos=mysql_result(mysql_query("SELECT MAX(`pos`) FROM `forum_f`"), 0)+1;
echo "<input name=\"pos\" type=\"text\" maxlength='3' value='$pos' /><br />\n";
echo "<input value=\"Создать\" type=\"submit\" /><br />\n";
echo "&laquo;<a href=\"/forum/\">Отмена</a><br />\n";
echo "</form>\n";
}

if (isset($user) && $user['level']==4 && isset($access['for_f_cr']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_f`"),0)>0){
echo "<div class=\"menu\">\n";
echo "<img src='http://vrozetke.ru/style/themes/green/graph/add.png' alt='ico' /><a href=\"/forum/?act=new\"> Новый подфорум</a><br />\n";
echo "</div>\n";
}
}}
echo "<div class=\"gend\">\n";
echo "<img src='/img/for/search.gif' alt=''/>\n";
echo "<a href='/forum/search.php'>Поиск по форуму</a><br />\n";
echo "<img src='/img/for/21.png'><a href='/info/rules_forum.php' >Правила Форума</a><br />";
echo "<img src='/img/for/online.png'><a href='/forum/index.php?online=1'>Кто сдесь ?</a><br />";
echo "<img src='/img/for/police.png'><a href='/info/administration.php'>Администрация</a><br />";
echo "</div>\n";


switch($_GET['online'])
{
    case 1:

echo '<div class="page">';

$online_list_forum = mysql_query( "SELECT `nick` FROM `user` WHERE `url` = '/forum/index.php' AND `date_last`>".(time()-300)."");

echo "На форуме ::<br /><small><b>";
$i = 0;
 while($oforum_row = mysql_fetch_assoc($online_list_forum))
    {
        if($i != 0)echo ", ";
        echo "<a href='/info.php?reply=".urlencode($oforum_row['nick'])."'>$oforum_row[nick]</a>";
        $i++;
     }
echo '</small></div>';

break;
}


include_once '../sys/inc/tfoot.php';
?>